curl --request PATCH \
--url https://api.example.com/api/v1/Orders/{orderNumber} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"orderNumber": "<string>",
"isOnSitePurchase": false,
"requestedServiceLevel": "<string>",
"isResidentialAddress": true,
"shipToAddress": {
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"companyName": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"stateOrProvince": "<string>",
"postalCode": "<string>",
"countryCode": "US"
},
"lineItems": [
{
"lineNumber": 123,
"sku": "<string>",
"quantity": 123,
"unitPrice": 123,
"componentNumber": 123,
"vasOrderPersonalizations": [
{
"type": "<string>",
"lineNumber": 123,
"message": "<string>",
"options": [
{
"type": "<string>",
"option": "<string>",
"message": "<string>"
}
]
}
]
}
],
"shipFromWarehouseCode": "<string>",
"requestedShipDate": "2023-11-07T05:31:56Z",
"notificationEmail": "<string>",
"notificationPhoneNumber": "<string>",
"notificationTemplateCode": "<string>",
"orderTypeCode": "<string>",
"giftMessage": "<string>",
"shippingInstructions": "<string>",
"packingSlipCode": "<string>",
"vasOrderPersonalizations": [
{
"type": "<string>",
"lineNumber": 123,
"message": "<string>",
"options": [
{
"type": "<string>",
"option": "<string>",
"message": "<string>"
}
]
}
]
}
'import requests
url = "https://api.example.com/api/v1/Orders/{orderNumber}"
payload = {
"orderNumber": "<string>",
"isOnSitePurchase": False,
"requestedServiceLevel": "<string>",
"isResidentialAddress": True,
"shipToAddress": {
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"companyName": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"stateOrProvince": "<string>",
"postalCode": "<string>",
"countryCode": "US"
},
"lineItems": [
{
"lineNumber": 123,
"sku": "<string>",
"quantity": 123,
"unitPrice": 123,
"componentNumber": 123,
"vasOrderPersonalizations": [
{
"type": "<string>",
"lineNumber": 123,
"message": "<string>",
"options": [
{
"type": "<string>",
"option": "<string>",
"message": "<string>"
}
]
}
]
}
],
"shipFromWarehouseCode": "<string>",
"requestedShipDate": "2023-11-07T05:31:56Z",
"notificationEmail": "<string>",
"notificationPhoneNumber": "<string>",
"notificationTemplateCode": "<string>",
"orderTypeCode": "<string>",
"giftMessage": "<string>",
"shippingInstructions": "<string>",
"packingSlipCode": "<string>",
"vasOrderPersonalizations": [
{
"type": "<string>",
"lineNumber": 123,
"message": "<string>",
"options": [
{
"type": "<string>",
"option": "<string>",
"message": "<string>"
}
]
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orderNumber: '<string>',
isOnSitePurchase: false,
requestedServiceLevel: '<string>',
isResidentialAddress: true,
shipToAddress: {
firstName: '<string>',
middleName: '<string>',
lastName: '<string>',
companyName: '<string>',
address1: '<string>',
address2: '<string>',
address3: '<string>',
city: '<string>',
stateOrProvince: '<string>',
postalCode: '<string>',
countryCode: 'US'
},
lineItems: [
{
lineNumber: 123,
sku: '<string>',
quantity: 123,
unitPrice: 123,
componentNumber: 123,
vasOrderPersonalizations: [
{
type: '<string>',
lineNumber: 123,
message: '<string>',
options: [{type: '<string>', option: '<string>', message: '<string>'}]
}
]
}
],
shipFromWarehouseCode: '<string>',
requestedShipDate: '2023-11-07T05:31:56Z',
notificationEmail: '<string>',
notificationPhoneNumber: '<string>',
notificationTemplateCode: '<string>',
orderTypeCode: '<string>',
giftMessage: '<string>',
shippingInstructions: '<string>',
packingSlipCode: '<string>',
vasOrderPersonalizations: [
{
type: '<string>',
lineNumber: 123,
message: '<string>',
options: [{type: '<string>', option: '<string>', message: '<string>'}]
}
]
})
};
fetch('https://api.example.com/api/v1/Orders/{orderNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSuccess": true,
"message": "<string>",
"payload": [
"<string>"
]
}Updates an existing order.
Use the GET /Orders/Details to get the current values of the order to use in this update call. This will update the Line Items, details and ShipTo address of the order. Address is optional, all other values are required.
Authorizations
Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'
Path Parameters
Body
The customer order number
1Is this an On Site purchase
The carrier service to use. Examples include:
FEDGROUND UPS2DAY UPSOVERNIGHT UP1 UP2 UPO UPSGROUND WILLCALL
1Is the address a residential address
A standard Address object
Show child attributes
Show child attributes
The order line items
Show child attributes
Show child attributes
The From warehouse (Code)
"GLW" - Glenwillow, "WDI" - Green Island, "PSO" - Paso Robles, "SMA" - Santa Maria, "SHW" - Willamette Valley "DAL" - Dallas
Future ship date. Enter the date you want the order to be processed. We will hold the orders until that date.
eg 2023-12-15
240Phone number
40The notification to use
The Type of Order (code)
"CLUB" - Club Order "STND" - Daily Order "SPCL" - Special Order "VC" - Visitor Center "DAILY" - Daily Order "SPECIAL" - Special Order "CORP" - Corp Order
Gift Message
2000Shipping Instructions
1000The packing slip code
80Value added service personalizations
Show child attributes
Show child attributes
Was this page helpful?